Skip to content

Add a Group to a Project

Request

Admin roles:
  • access_admin

Adds a Group to a Project

Security
bearerAuth
Path
team_namestringrequired

The name of your Team

project_namestringrequired

The Project name

Bodyapplication/jsonrequired
create_server_groupboolean or null

If true, a local (unix or windows) group is created on the Server and all relevant users are added to the local group. This does not impact user creation. Server Users are always created as long as create_server_users is set to true for the Project.

groupstring, [ 1 .. 255 ] charactersrequired

The name of the Group

server_accessbooleanrequired

If true, members of this Group have access to the Servers in the Project

server_adminbooleanrequired

If true, members of this Group have sudo or Administrator permissions on the Project Servers

server_group_namestring or null, [ 1 .. 255 ] characters

If create_server_group is true, indicates the name of the associated Server Group

servers_selectorstring or null

(Optional) Kubernetes-style selector for Servers in the Project. Members of this Group can only access Servers that are assigned this selector.

unix_gidinteger or null, (int64), <= 4294967295

If create_server_group is true, indicates the GID of the associated Server Group

curl -i -X POST \
  'https://app.scaleft.com/v1/teams/{team_name}/projects/{project_name}/groups' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "create_server_group": true,
    "deleted_at": null,
    "group": "compsons",
    "group_id": "",
    "id": "",
    "name": "compsons",
    "removed_at": null,
    "server_access": true,
    "server_admin": false,
    "server_group_name": null,
    "unix_gid": null
  }'

Responses

No Content